## akonadi 18.08.1

=== debian/changelog ===
akonadi (4:18.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * Update symbols from buildds for 4:18.07.90
  * Remove armel specific symbols, that are not exposed anymore.
  * Follow stable releases in KDE again..
  * New upstream release (18.08.1).

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:16:04 +0200

akonadi (4:18.07.90-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.07.90).
  * Update build-deps and deps with the info from cmake
  * Update copyright file for new upstream.
  * Bump DebianAbi for libkf5akonadicore5 because of breakage to 2.
  * Bump DebianAbi for libkf5akonadiprivate5 because of breakage to 2.
  * Update symbols for libkf5akonadiagentbase5 for 18.07.90.
  * Remove patch that got upstream.
  * Update patch hunks.

 -- Sandro Knauß <hefee@debian.org>  Thu, 16 Aug 2018 11:10:34 +0200

akonadi (4:17.12.3-3) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 310b6a26f58814568245c781c2136504d1a6f338 to fix
    build with Qt 5.11; patch
    upstream_Fix-build-with-Qt-5.11-missing-QAbstractItemView.patch.
  * Remove empty line at the end of changelog.
  * Bump Standards-Version to 4.1.5, no changes required.
  * Remove the 'testsuite' autopkgtest:
    - it runs the test suite from the build dir, not using the installed
      packages (hence misusing what autopkgtest is for)
    - it always failed (so it is not useful to even catch regressions), and
      nobody bothered to fix it
    - hence, pass -DBUILD_TESTING=OFF to cmake to disable the build of the
      tests, and pass -DBUILD_TOOLS=ON to explicitly request the test tools
      (which are installed)
  * Update symbols files for GCC 8, and the loss of test-only symbols.
  * Do not append -fvisibility=hidden -fvisibility-inlines-hidden to the
    CFLAGS, and CXXFLAGS anymore, since they are already there since at least
    the switch to KF5/ECM.

 -- Pino Toscano <pino@debian.org>  Tue, 31 Jul 2018 08:01:23 +0200

akonadi (4:17.12.3-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Adds Breaks/Replaces against kapptemplate (Closes: #894913)

 -- Sandro Knauß <hefee@debian.org>  Thu, 05 Apr 2018 19:45:46 +0200

akonadi (4:17.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Add kdevelop templates to libkf5akonadi-dev.
  * New upstream release (17.12.3).
  * Update symbols from buildds for 4:17.12.2
  * bump epoch in symbolsfiles to match version of the package.
  * use secure copyright format uri.
  * small fixes in copyright file.
  * Update package descriptions.

 -- Sandro Knauß <hefee@debian.org>  Sat, 31 Mar 2018 18:21:21 +0200

akonadi (4:17.12.2-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Drop transitional package libkf5akonadicore-bin (Closes: #873932)
  * New upstream release (17.12.2).
  * Update build-deps and deps with the info from cmake
  * Remove unneded Build-Deps.
  * Use DebianABIManager to handle libkf5akonadi* properly
  * Update library from libkf5akonadicore5 -> libkf5akonadicore5abi1,
    because of ABI breakage.
  * Update library from libkf5akonadiprivate5 ->
    libkf5akonadiprivate5abi1, because of ABI breakage.
  * Update library from libkf5akonadiwidgets5 ->
    libkf5akonadiwidgets5abi1, because of ABI breakage.
  * Update copyright file.
  * Split arch independet data out of libkf5akonadicore5abi1 into new
    package libkf5akonadi-data.
  * Update Vcs links to salsa.
  * Bump debhelper build-dep and compat to 11.
  * add akonadi-backend-postgresql.lintian-overrides to ignore empty
    package.

 -- Sandro Knauß <hefee@debian.org>  Fri, 09 Mar 2018 20:10:06 +0100

akonadi (4:17.08.3-2) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Fix typo in NEWS file.
  * Remove the unused kio-dev build dependency.
  * Remove obsolete /etc/akonadi/mysql-global.conf, and
    /etc/akonadi/mysql-global-mobile.conf conffiles. (Closes: #868231)
  * Update symbols files from logs of buildds.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Simplify watch file, and switch it to https.
  * Remove trailing whitespaces in changelog.

  [ Sandro Knauß ]
  * libkf5akonadiserver-dev incorrectly marked as Multi-Arch: same
    (Closes: #880385)
  * Fix "usr.sbin.mysqld-akonadi: denied access to
    /etc/mysql/mariadb.cnf" (Closes: #869865)
    - Added patch to allow files under mariadb.conf.d
      Thanks to Vincas Dargis <vindrg@gmail.com> for the patch

 -- Pino Toscano <pino@debian.org>  Wed, 03 Jan 2018 17:38:15 +0100

akonadi (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New revision
  * Update the apparmor file for mariadb, and report errors
  * Update uploaders list as requested by MIA team (Closes: #879284)

  [ Sandro Knauß ]
  * New upstream release (17.08.3).
  * Bump Standards-Version to 4.1.2 (No changes needed).
  * Add NEWS entry about the db migration
  * Bump debhelper build-dep and compat to 10.
  * Update symbols from buildds for 4:17.08.0
  * Update symbols from buildds for 4:17.08.3
  * Bump l10npkgs_firstversion_ok to 4:16.04.3-9~

 -- Sandro Knauß <hefee@debian.org>  Thu, 21 Dec 2017 17:48:11 +0100

akonadi (4:17.08.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (17.08.0). (Closes: 871147, 871246)
  * Drop Multi-Arch: foreign from the dev pkg.
    Thanks to Helmut Grohne <helmut@subdivi.de> for the report (Closes: 872207)
  * Uscan no longer supports two main components urls
  * Update build-deps and deps with the info from cmake
  * Drop upstream patches
  * Bump Standards-Version to 4.0.1.
  * Update symbols files
  * Update install files
  * Set Priority to optional
  * Add breaks/replaces for the /mo files
  * Add breaks for libkolab1
  * Bump group breaks (17.08)
  * Drop kdepimlibs-data symbols injection
  * Release to experimental


