=== debian/changelog ===
akonadi (4:18.08.3-7~deb10u1) buster; urgency=medium

  * Rebuild for buster.

 -- Sandro Knauß <hefee@debian.org>  Fri, 30 Aug 2019 22:11:22 +0200

akonadi (4:18.08.3-7) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Add patch to fix: Akonadi components crash on logout. (Closes: #939013)
  * Add patch to fix: Automatic recovery from Multiple Merge Candidates
    error (Closes: #939012)
  * Add patch with files, that are needed for other patches.
  * Update symbols from buildds for 4:18.08.3

 -- Sandro Knauß <hefee@debian.org>  Fri, 30 Aug 2019 12:59:47 +0200

akonadi (4:18.08.3-6) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Fix "Akonadi don't anwser any requests and ends in deadlock" (Closes: #935981)
    by adding upstream patches.
    - Akonadi-fix-dangling-transaction-after-itemsync-fail.patch
    - ItemSync-skip-handling-remote-items-if-local-changes.patch

 -- Sandro Knauß <hefee@debian.org>  Wed, 28 Aug 2019 19:31:31 +0200

akonadi (4:18.08.3-5) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Switch back to use default-mysql-server-core instead of default-
    mysql-server as dependency (see #910902).

 -- Sandro Knauß <hefee@debian.org>  Mon, 29 Apr 2019 16:24:10 +0200

akonadi (4:18.08.3-4) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update symbols from buildds for 4:18.08.3

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Feb 2019 21:07:51 +0100

akonadi (4:18.08.3-3) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Add Build-Depends-package field in symbolfiles.
  * Add patch Call-QSqlQuery-finish-on-all-SELECT-queries-when-don
    (Closes: #921535).

 -- Sandro Knauß <hefee@debian.org>  Fri, 08 Feb 2019 23:20:48 +0100

akonadi (4:18.08.3-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Rename {kubuntu_,}disable_secure_file_priv_check.diff.
  * Update symbols from buildds for 4:18.08.3

  [ Alf Gaida ]
  * Replaced wrapper mysqld-akonadi with link mysqld -> mysqld-akonadi
    (Closes: #921389)
  * Replaced dependency for akonadi-backend-mysql:
    - default-mysql-server-core -> default-mysql-server
    - virtual-mysql-server-core -> virtual-mysql-server

 -- Sandro Knauß <hefee@debian.org>  Wed, 06 Feb 2019 12:56:58 +0100

akonadi (4:18.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.08.3).
  * Bump Standards-Version to 4.3.0 (No changes needed).
  * Removed acc autopkgtest.

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 15:56:47 +0100
